---
# defaults file for teleport
ubuntu_packages:
  - git
  - curl
  - gnupg
  - debian-archive-keyring
  - python-apt
  - apt-transport-https

teleport_url: https://get.gravitational.com/teleport_4.2.8_amd64.deb
teleport_url_sha256: https://get.gravitational.com/teleport_4.2.8_amd64.deb.sha256

# Teleport configuration variables
enable_ssh: yes
enable_proxy: yes
nodename: teleport_hub
cluster_name: default
public_addr: # e.g., public-teleport.example.com:3025
static_token_nodejoin: some-obscure-token-string-to-join-teleport-node
static_token_clusterjoin: some-obscure-token-string-to-join-teleport-cluster
teleport_ssh_port: 3022
teleport_sshproxy_port: 3023
teleport_sshproxy_tunnel_port: 3024
teleport_auth_port: 3025
teleport_proxy_port: 3080
